Skip to main content
GET
/
api
/
model
/
v1.0
/
customer
/
{customerId}
/
modeltraining
/
{trainingId}
/
statistics
/
waterfall
cURL
curl --request GET \
  --url https://app.allyy.io/api/model/v1.0/customer/{customerId}/modeltraining/{trainingId}/statistics/waterfall \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.allyy.io/api/model/v1.0/customer/{customerId}/modeltraining/{trainingId}/statistics/waterfall"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.allyy.io/api/model/v1.0/customer/{customerId}/modeltraining/{trainingId}/statistics/waterfall', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "meta": {
    "errors": [
      {
        "code": "<string>",
        "message": "<string>"
      }
    ],
    "validation": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ],
    "info": {}
  },
  "data": {
    "fileIndex": 123,
    "baseValue": 123,
    "shapSum": 123,
    "features": [
      {
        "featureId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "featureName": "<string>",
        "originalName": "<string>",
        "featureValue": "<string>",
        "shapValue": 123,
        "cumulativeShapValue": 123,
        "dataValue": 123
      }
    ]
  }
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

trainingId
string<uuid>
required
version
string
required
customerId
string
required

Query Parameters

waterfallPercentile
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
caseNumber
integer<int32>

Response

OK

meta
object
data
object